::-webkit-scrollbar {
  width: 0.6em;
}

::-webkit-scrollbar-track {
  background: var(--Darker);
  border-radius: 100vw;
  margin-block: 2.5em;
}

::-webkit-scrollbar-thumb {
  background: var(--Outline-color);
  border-radius: 100vw;
}

::-webkit-scrollbar-thumb:hover {
  background: #f9731f;
}
:root {
  --background-color: #171717;
  --Outline-color: #ff914d;
  --Outline-color2: #ca8059;
  --someGreen: #1fa67a;
  --outline-blue: #0088a9;
  --Darker: #232427;
  --veryWhite: #fff;
  --Pearlwhite: #fbfcf8;
  --snowWhite: #f8f8ff;
  --salt: #f8eeec;
  --killWhite: #f0f0f0;
  --h1FontSize: 35px;
  --h2FontSize: 30px;
  --h1FontSizeMedia: 25px;
  --h2FontSizeMedia: 18px;
  --h3FontSize: 14px;
  --h3FontSizeMedia: 12px;
  --paragraphFontColor: #717171;
  --background: url(../img/Estate.jpg) no-repeat center/cover;
}
body {
  background-color: #ffffff;
  background-image: radial-gradient(#ff914d 0.45px, transparent 0.45px),
    radial-gradient(#ff914d 0.45px, #ffffff 0.45px);
  background-size: 18px 18px;
  background-position: 0 0, 9px 9px;
}

.parent {
  width: 100%;
  height: 100%;
}
section {
  position: relative;
  width: 65%;
  height: fit-content;
  /* border: 1px solid #000; */
  margin: auto;
  opacity: 1;
}

.intro {
  width: 100%;
  text-align: center;
  background-color: #000;
  color: white;
  padding: 10px;
}
.intro2 {
  width: 100%;
  text-align: center;
  color: white;
  padding: 10px;
  text-align: center;
  display: flex;
  justify-content: center;
}
.intro-description {
  width: 100%;
  padding: 25px 15px;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
}
.hi {
  text-align: center;
  width: fit-content;
  height: auto;
  background-color: #000;
  color: white;
  padding: 10px;
}

section .box {
  width: 80%;
  height: fit-content;
  margin: auto;
  margin-top: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  background-color: #000;
  box-shadow: -10px 10px 20px rgba(0, 0, 0, 0.2);
}
.within {
  width: 100%;
  height: 100%;
}
.witinMap {
  width: 100%;
  text-align: center;
  color: #000000;
  text-shadow: black;
  padding: 15px;
  height: 40px;
}
.cont_box {
  width: 50%;
  height: 100%;
  /* border: 1px solid #000; */
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 20px;
  color: white;
  background-color: rgb(0, 0, 0);
}

section .box .img_bx img {
  width: 85%;
  border-radius: 5px;
}

section .box .HouseDescription .cont_box {
  margin-top: 40px 0px;
  height: fit-content;
  flex-direction: column;
}

section .box .HouseDescription .cont_box h6 {
  position: relative;
  color: var(--Outline-color);
}

section .box .HouseDescription .cont_box h6 span {
  margin-left: 25px;
}

section .box .HouseDescription .cont_box h6::before {
  content: "";
  position: absolute;
  width: 20px;
  height: 1.5px;
  background: var(--Outline-color);
  top: 7px;
}

section .box .HouseDescription .cont_box h1 {
  font-weight: 600;
  margin: 10px 0px;
  color: var(--Outline-color);
}

section .box .HouseDescription .cont_box p {
  font-size: 12px;
  font-weight: 500;
}

section .box .HouseDescription .cont_box ul {
  list-style-type: none;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: space-between;
  text-align: start;
}
.HouseDescription .cont_box li {
  flex: 0 0 50%; /* Adjust the value as needed */
}
section .box .HouseDescription .cont_box ul li {
  position: relative;
  font-size: 13px;
  font-weight: bold;
  width: 200px;
  /* border: 1px solid #000; */
  margin-top: 0px;
}

section .box .HouseDescription .cont_box ul li::before {
  content: "";
  position: absolute;
  width: 5px;
  height: 5px;
  background: var(--Outline-color);
  border-radius: 50%;
  left: -20px;
  top: 8px;
}

/* Header */

header {
  width: 100%;
  height: fit-content;
  margin: auto;
  transition: 0.3s linear;
}
.HouseDescription {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  background-color: #000;
}
.HouseDescription .cont_box {
  flex-basis: 100%;
  max-width: 100%;
  margin-bottom: 20px;
}
.right-side {
  padding-left: 10px;
  width: fit-content;
  height: 100%;
  height: fit-content;
  background-color: white;
}
.map-container {
  position: relative;
  width: 100%;
  padding-bottom: 110%; /* Adjust this value to set the aspect ratio (height/width) of the iframe */
  overflow: hidden;
}
.price {
  font-weight: 600;
  color: var(--Outline-color);
}
.map-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}
@media screen and (max-width: 971px) {
  section {
    top: 0px;
  }
}

@media (min-width: 768px) {
  .HouseDescription {
    display: flex;
  }
  .swiper-button-next {
    top: 10vh;
  }

  .swiper-button-prev {
    top: 10vh;
  }
  .HouseDescription .cont_box {
    flex-basis: 60%;
    max-width: 50%;
    margin-bottom: 0;
  }

  .HouseDescription .right-side {
    flex-basis: 50%;
    max-width: 50%;
  }
}
header nav {
  width: 100%;
  height: fit-content;
  margin: 0px auto;
  background-color: #ffffff;
  /* border: 1px solid #000; */
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header nav .right_bx {
  display: flex;
  align-items: center;
  background: #ffffff;
}

header nav .right_bx ul {
  list-style: none;
  display: flex;
  align-items: center;
}

header nav .right_bx ul li {
  padding: 3px 15px;
}

.cta {
  border: none;
  background: none;
}

.cta span {
  padding-right: 10px;
}

.cta svg {
  transform: translateX(-8px);
  transition: all 0.3s ease;
}

.cta:hover svg {
  transform: translateX(0);
}

.cta:active svg {
  transform: scale(0.9);
}

header nav .right_bx ul li a {
  text-decoration: none;
  color: gray;
  font-size: 11px;
  font-weight: 500;
  transition: 0.3s linear;
}

header nav .right_bx ul li a:hover {
  color: var(--Outline-color);
}

header nav .right_bx .account_bx {
  display: flex;
  align-items: center;
  margin-left: 20px;
}

header nav .right_bx .account_bx .bi {
  margin-left: 15px;
  color: gray;
  cursor: pointer;
  transition: 0.3s linear;
}

header nav .right_bx .account_bx .bi:hover {
  color: #000;
}
/* Footer */
.FooterContainer {
  max-width: 1170px;
  margin: auto;
}

.FooterRow {
  display: flex;
  flex-wrap: wrap;
}

ul {
  list-style: none;
}

.footer {
  background-color: #000000;
  padding: 70px 0;
}

.footer-col {
  width: 30%;
  padding: 0 35px;
}
.CardContainer {
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
}

.footer-col h4 {
  font-size: 21px;
  color: var(--Outline-color);
  text-transform: capitalize;
  margin-bottom: 35px;
  font-weight: 500;
  text-align: center;
  position: relative;
}

.footer-col h4::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  background-color: var(--shade);
  height: 2px;
  box-sizing: border-box;
  width: 50px;
}

.footer-col ul li:not(:last-child) {
  margin-bottom: 10px;
}

.footer-col ul li a {
  font-size: 16px;
  text-transform: capitalize;
  color: #ffffff !important;
  text-decoration: none;
  font-weight: 300;
  color: #bbbbbb;
  display: block;
  transition: all 0.3s ease;
}

.footer-col ul li a:hover {
  color: #ffffff;
  padding-left: 8px;
}

.footer-col .social-links a {
  display: inline-block;
  height: 40px;
  width: 40px;
  background-color: rgba(255, 255, 255, 0.2);
  margin: 0 10px 10px 0;
  text-align: center;
  line-height: 40px;
  border-radius: 50%;
  color: #ffffff;
  transition: all 0.5s ease;
}

.footer-col .social-links a:hover {
  color: #24262b;
  background-color: #ffffff;
}

/*responsive*/
@media (max-width: 767px) {
  .footer-col {
    width: 50%;
    margin-bottom: 30px;
  }
}
@media (max-width: 574px) {
  .footer-col {
    width: 100%;
  }
}
/* New card */
.viewOthers {
  width: 100%;
  height: fit-content;
  justify-content: center;
  align-items: center;
  background: #e0e0e0;
}
.innerCardContain {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.card2 {
  display: inline-block;
  width: 200px;
  height: 300px;
  border: 1px solid #ccc;
  border-radius: 8px;
  overflow: hidden;
  margin: 10px;
  position: relative;
}

.card2 img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 8px;
  transition: transform 0.3s ease;
}

.card2:hover img {
  transform: scale(1.1);
  border-radius: 8px;
}

.card2 .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  opacity: 0;
  transition: opacity 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
}

.card2:hover .overlay {
  opacity: 1;
  border: 3px solid var(--Outline-color);
}

.card2 .overlay p {
  color: #fff;
  font-size: 18px;
  text-align: center;
}
/* card */
.greet {
  margin-top: 30px 0px 10px 0px;
  width: 100%;
  color: rgb(0, 0, 0);
  padding: 15px;
  font-weight: 600;
  text-align: center;
}
.ContainNiceCard {
  margin-bottom: 30px;
  width: 100%;
  height: 50vh;
  display: flex;
  align-items: center;
  justify-content: center;
}
.card3 {
  position: relative;
  width: 320px;
  height: 350px;
  background: linear-gradient(-45deg, #f89b29 0%, #ff0f7b 100%);
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.card3 svg {
  width: 48px;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.card3:hover {
  transform: rotate(-5deg) scale(1.1);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}
.mobilehover {
  transform: rotate(-5deg) scale(1.1);
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}

.card__content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(-45deg);
  width: 100%;
  height: 100%;
  padding: 20px;
  box-sizing: border-box;
  background-color: #fff;
  opacity: 0;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.card3:hover .card__content {
  transform: translate(-50%, -50%) rotate(0deg);
  opacity: 1;
}
.showCont {
  transform: translate(-50%, -50%) rotate(0deg);
  opacity: 1;
}
.HideIt {
  opacity: 0;
}
.card__title {
  margin: 0;
  font-size: 24px;
  color: #333;
  font-weight: 700;
}

.card3:hover svg {
  scale: 0;
  transform: rotate(-45deg);
}
/* carousel */
@keyframes tonext {
  75% {
    left: 0;
  }
  95% {
    left: 100%;
  }
  98% {
    left: 100%;
  }
  99% {
    left: 0;
  }
}

@keyframes tostart {
  75% {
    left: 0;
  }
  95% {
    left: -300%;
  }
  98% {
    left: -300%;
  }
  99% {
    left: 0;
  }
}

@keyframes snap {
  96% {
    scroll-snap-align: center;
  }
  97% {
    scroll-snap-align: none;
  }
  99% {
    scroll-snap-align: none;
  }
  100% {
    scroll-snap-align: center;
  }
}
* {
  box-sizing: border-box;
  scrollbar-color: transparent transparent; /* thumb and track color */
  scrollbar-width: 0px;
}

*::-webkit-scrollbar {
  width: 0;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background: transparent;
  border: none;
}

* {
  -ms-overflow-style: none;
}

ol,
li {
  list-style: none;
  margin: 0;
  padding: 0;
}
/* New Carousel */
.CarouselDesc {
  margin-top: 50px;
  width: 100%;
  display: flex;
  justify-content: center;
}
.insideCarouselDesc {
  width: fit-content;
  background-color: #000;
  color: white;
  text-align: center;
  padding: 10px 20px;
}

.seeOthers {
  width: 100%;
  height: fit-content;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Contact agent */
.card4 {
  width: 17em;
  height: 22.5em;
  background: #171717;
  transition: 1s ease-in-out;
  clip-path: polygon(
    30px 0%,
    100% 0,
    100% calc(100% - 30px),
    calc(100% - 30px) 100%,
    0 100%,
    0% 30px
  );
  border-top-right-radius: 20px;
  border-bottom-left-radius: 20px;
  display: flex;
  flex-direction: column;
}

.card4 span {
  font-weight: bold;
  color: white;
  text-align: center;
  display: block;
  font-size: 1em;
}

.card4 .info {
  font-weight: 400;
  color: white;
  display: block;
  text-align: center;
  font-size: 0.72em;
  margin: 1em;
}
.AgentContainer {
  width: fit-content;
  display: flex;
  align-items: center;
  justify-content: center;
  height: fit-content;
  margin: 20px;
}
.card4 .img {
  width: 6.8em;
  height: 6.8em;
  background-image: url("/img/Logo.png");
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 15px;
  margin: auto;
}

.card4 .share {
  margin-top: 1em;
  display: flex;
  justify-content: center;
  gap: 1em;
}

.card4 a {
  color: white;
  transition: 0.4s ease-in-out;
}

.card4 a:hover {
  color: red;
}

.card4 .button {
  padding: 0.8em 1.7em;
  display: block;
  margin: auto;
  border-radius: 25px;
  border: none;
  font-weight: bold;
  background: #ffffff;
  color: rgb(0, 0, 0);
  transition: 0.4s ease-in-out;
  text-decoration: none;
}

.card4 .button:hover {
  background: red;
  color: white;
  cursor: pointer;
}
/* See more button */
.button2 {
  display: inline-block;
  transition: all 0.2s ease-in;
  position: relative;
  overflow: hidden;
  text-decoration: none;
  z-index: 1;
  color: #090909;
  padding: 0.7em 1.7em;
  font-size: 18px;
  border-radius: 0.5em;
  background: var(--Outline-color);
  border: 1px solid var(--Outline-color);
  box-shadow: 6px 6px 12px #c5c5c5, -6px -6px 12px #ffffff;
}

.button2:active {
  color: #666;
  box-shadow: inset 4px 4px 12px #c5c5c5, inset -4px -4px 12px #ffffff;
}

.button2:before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%) scaleY(1) scaleX(1.25);
  top: 100%;
  width: 140%;
  height: 180%;
  background-color: rgba(0, 0, 0, 0.05);
  border-radius: 50%;
  display: block;
  transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
  z-index: -1;
}

.button2:after {
  content: "";
  position: absolute;
  left: 55%;
  transform: translateX(-50%) scaleY(1) scaleX(1.45);
  top: 180%;
  width: 160%;
  height: 190%;
  background-color: #009087;
  border-radius: 50%;
  display: block;
  transition: all 0.5s 0.1s cubic-bezier(0.55, 0, 0.1, 1);
  z-index: -1;
}

.button2:hover {
  color: #ffffff;
  border: 1px solid #009087;
}

.button2:hover:before {
  top: -35%;
  background-color: #009087;
  transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}

.button2:hover:after {
  top: -45%;
  background-color: #009087;
  transform: translateX(-50%) scaleY(1.3) scaleX(0.8);
}
